Class | Fog::AWS::SES::Real
In: | lib/fog/aws/requests/ses/list_verified_email_addresses.rb lib/fog/aws/requests/ses/get_send_quota.rb lib/fog/aws/requests/ses/delete_verified_email_address.rb lib/fog/aws/requests/ses/get_send_statistics.rb lib/fog/aws/requests/ses/send_email.rb lib/fog/aws/requests/ses/verify_email_address.rb lib/fog/aws/requests/ses/send_raw_email.rb lib/fog/aws/ses.rb
Parent: | Object

### Methods

delete_verified_email_address get_send_quota get_send_statistics list_verified_email_addresses new reload send_email send_raw_email verify_email_address

### Included Modules

Fog::AWS::CredentialFetcher::ConnectionMethods

### Public Class methods

new(options={})

Initialize connection to SES

#### Notes

options parameter must include values for :aws_access_key_id and :aws_secret_access_key in order to create a connection

#### Examples

      ses = SES.new(
       :aws_access_key_id => your_aws_access_key_id,
       :aws_secret_access_key => your_aws_secret_access_key
      )

#### Parameters

- options<~Hash> - config arguments for connection. Defaults to {}.
  - region<~String> - optional region to use. For instance, ‘us-east-1’ and etc.

#### Returns

- SES object with connection to AWS.

### Public Instance methods

delete_verified_email_address(email_address)

Delete an existing verified email address

#### Parameters

- email_address<~String> - Email Address to be removed

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘ResponseMetadata’<~Hash>:
      - ‘RequestId’<~String> - Id of request

get_send_quota()

Returns the user‘s current activity limits.

#### Parameters

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘GetSendQuotaResult’<~Hash>
      - ‘Max24HourSend’ <~String>
      - ‘MaxSendRate’ <~String>
      - ‘SentLast24Hours’ <~String>
    - ‘ResponseMetadata’<~Hash>:
      - ‘RequestId’<~String> - Id of request

get_send_statistics()

Returns the user‘s current activity limits.

#### Parameters

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘GetSendStatisticsResult’<~Hash>
      - ‘SendDataPoints’ <~Array>
        - ‘Bounces’ <~String>
        - ‘Complaints’ <~String>
        - ‘DeliveryAttempts’ <~String>
        - ‘Rejects’ <~String>
        - ‘Timestamp’ <~String>
    - ‘ResponseMetadata’<~Hash>:
      - ‘RequestId’<~String> - Id of request

list_verified_email_addresses()

Returns a list containing all of the email addresses that have been verified

#### Parameters

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘VerifiedEmailAddresses’ <~Array>
    - ‘ResponseMetadata’<~Hash>:
      - ‘RequestId’<~String> - Id of request

reload()
send_email(source, destination, message, options = {})

Send an email

#### Parameters

- Source <~String> - The sender‘s email address
- Destination <~Hash> - The destination for this email, composed of To:, From:, and CC: fields.
  - BccAddresses <~Array> - The BCC: field(s) of the message.
  - CcAddresses <~Array> - The CC: field(s) of the message.
  - ToAddresses <~Array> - The To: field(s) of the message.
- Message <~Hash> - The message to be sent.
  - Body <~Hash>
    - Html <~Hash>
      - Charset <~String>
      - Data <~String>
    - Text <~Hash>
      - Charset <~String>
      - Data <~String>
  - Subject <~Hash>
    - Charset <~String>
    - Data <~String>
- options <~Hash>:
  - ReplyToAddresses <~Array> - The reply-to email address(es) for the message. If the recipient replies to the message, each reply-to address will receive the reply.
  - ReturnPath <~String> - The email address to which bounce notifications are to be forwarded. If the message cannot be delivered to the recipient, then an error message will be returned from the recipient‘s ISP; this message will then be forwarded to the email address specified by the ReturnPath parameter.

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘MessageId’<~String> - Id of message
    - ‘ResponseMetadata’<~Hash>:
      - ‘RequestId’<~String> - Id of request

send_raw_email(raw_message, options = {})

Send a raw email

#### Parameters

- RawMessage <~String> - The message to be sent.
- Options <~Hash>
  - Source <~String> - The sender‘s email address. Takes precenence over Return-Path if specified in RawMessage
  - Destinations <~Array> - All destinations for this email.

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘MessageId’<~String> - Id of message
    - ‘ResponseMetadata’<~Hash>:
      - ‘RequestId’<~String> - Id of request

verify_email_address(email_address)

Verifies an email address. This action causes a confirmation email message to be sent to the specified address.

#### Parameters

- email_address<~String> - The email address to be verified

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘ResponseMetadata’<~Hash>:
      - ‘RequestId’<~String> - Id of request

[Validate]